Bug 816744 - dracut - no network connectivity during initqueue stage
dracut - no network connectivity during initqueue stage
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
17
ppc64 Linux
unspecified Severity high
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 16:47 EDT by Nish Aravamudan
Modified: 2012-05-03 06:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-03 06:24:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nish Aravamudan 2012-04-26 16:47:55 EDT
Description of problem:

I am using Cobbler to test FC17-alpha on ppc64. The install consistently fails with a kickstart file based upon a working FC16 version with:

[   33.280659] dracut: anaconda fetching kickstart from http://9.3.191.134/cblr/svc/op/ks/system/ltcfbp55a-lp3.austin.ibm.com
http://9.3.191.134/cblr/svc/op/ks/system/ltcfbp55a-lp3.austin.ibm.com
curl: (7) Failed to connect to 9.3.191.134: Network is unreachable
[   33.292412] dracut Warning: failed to fetch kickstart from http://9.3.191.134/cblr/svc/op/ks/system/ltcfbp55a-lp3.austin.ibm.com
dracut Warning: failed to fetch kickstart from http://9.3.191.134/cblr/svc/op/ks/system/ltcfbp55a-lp3.austin.ibm.com
[   33.383511] dracut: fetching http://9.3.191.134/cblr/links/fedora17-alpha-ppc64/LiveOS/squashfs.img
http://9.3.191.134/cblr/links/fedora17-alpha-ppc64/LiveOS/squashfs.img
######################################################################## 100.0%
udevd[237]: RUN+="socket:..." support will be removed from a future udev release. Please remove it from: /usr/lib/udev/rules.d/40-multipath.rules:16 and use libudev to
+subscribe to events.

The kernel command-line is:

ksdevice=eth0 lang= root=live:http://9.3.191.134/cblr/links/fedora17-alpha-ppc64/LiveOS/squashfs.img kssendmac text ks=http://9.3.191.134/cblr/svc/op/ks/system/ltcfbp
+55a-lp3.austin.ibm.com

What is interesting is that the squashfs.img download succeeds, and that from the dracut shell, I'm able to curl the ks file in question down.

I added rd.debug rd.info rd.break=initqueue to the boot prompt and saw the following (my commentary is in [] with "nacc:" prefix):

/lib/dracut-lib.sh@818(emergency_shell): setsid /bin/sh -i -l
initqueue:/#

initqueue:/run/initramfs/usr/lib/dracut/hooks/initqueue# vi online/^G
00fetch-kickstart-net.sh  95fetch-liveupdate.sh
80anaconda-netroot.sh     anaconda-ifcfg.sh

[ nacc: edit 00fetch-kickstart-net.sh to drop to shell -- note above, is
  it normal for anaconda-ifcfg.sh to not be prefixed with a number? ]

[ nacc: edit 80anaconda-netroot.sh to drop to shell ]


initqueue:/run/initramfs/usr/lib/dracut/hooks/initqueue# exit
logout
//init@137(): getarg rd.retry rd_retry=
//lib/dracut-lib.sh@91(getarg): set +x
//lib/dracut-lib.sh@114(getarg): return 1
/init@137(): RDRETRY=
/init@138(): RDRETRY=20
/init@139(): RDRETRY=40
/init@140(): export RDRETRY
/init@141(): main_loop=0
/init@142(): export main_loop
/init@143(): :
/init@145(): check_finished
/lib/dracut-lib.sh@264(check_finished): local f
/lib/dracut-lib.sh@265(check_finished): for f in '$hookdir/initqueue/finished/*.sh'
/lib/dracut-lib.sh@266(check_finished): '[' '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh' = '/lib/dracut/hooks/initqueue/finished/*.sh' ']'
/lib/dracut-lib.sh@267(check_finished): '[' -e '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh' ']'
/lib/dracut-lib.sh@267(check_finished): . '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh'
//lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh@1(source): '[' -e /dev/root ']'
/lib/dracut-lib.sh@267(check_finished): return 1
/init@147(): udevsettle
/lib/dracut-lib.sh@358(udevsettle): '[' -z 181 ']'
/lib/dracut-lib.sh@360(udevsettle): '[' 181 -ge 143 ']'
/lib/dracut-lib.sh@361(udevsettle): udevadm settle --exit-if-exists=/lib/dracut/hooks/initqueue/work
/init@149(): check_finished
/lib/dracut-lib.sh@264(check_finished): local f
/lib/dracut-lib.sh@265(check_finished): for f in '$hookdir/initqueue/finished/*.sh'
/lib/dracut-lib.sh@266(check_finished): '[' '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh' = '/lib/dracut/hooks/initqueue/finished/*.sh' ']'
/lib/dracut-lib.sh@267(check_finished): '[' -e '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh' ']'
/lib/dracut-lib.sh@267(check_finished): . '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh'
//lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh@1(source): '[' -e /dev/root ']'
/lib/dracut-lib.sh@267(check_finished): return 1
/init@151(): '[' -f /lib/dracut/hooks/initqueue/work ']'
/init@152(): rm /lib/dracut/hooks/initqueue/work
/init@155(): for job in '$hookdir/initqueue/*.sh'
/init@156(): '[' -e /lib/dracut/hooks/initqueue/291.sh ']'
/init@157(): job=/lib/dracut/hooks/initqueue/291.sh
/init@157(): . /lib/dracut/hooks/initqueue/291.sh
//lib/dracut/hooks/initqueue/291.sh@1(): '[' -e /lib/dracut/hooks/initqueue/291.sh ']'
//lib/dracut/hooks/initqueue/291.sh@1(): rm /lib/dracut/hooks/initqueue/291.sh
//lib/dracut/hooks/initqueue/291.sh@2(): /sbin/ifup lo
//lib/dracut-lib.sh@256(): hookdir=/lib/dracut/hooks
//lib/dracut-lib.sh@257(): export hookdir
/sbin/ifup@13(): export 'PS4=ifup.lo.326 + '
/sbin/ifup@13(): PS4='ifup.lo.326 + '

ifup.lo.326 + exec
/init@158(): check_finished
/lib/dracut-lib.sh@264(check_finished): local f
/lib/dracut-lib.sh@265(check_finished): for f in '$hookdir/initqueue/finished/*.sh'
/lib/dracut-lib.sh@266(check_finished): '[' '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh' = '/lib/dracut/hooks/initqueue/finished/*.sh' ']'
/lib/dracut-lib.sh@267(check_finished): '[' -e '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh' ']'
/lib/dracut-lib.sh@267(check_finished): . '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh'
//lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh@1(source): '[' -e /dev/root ']'
/lib/dracut-lib.sh@267(check_finished): return 1
/init@155(): for job in '$hookdir/initqueue/*.sh'
/init@156(): '[' -e /lib/dracut/hooks/initqueue/299.sh ']'
/init@157(): job=/lib/dracut/hooks/initqueue/299.sh
/init@157(): . /lib/dracut/hooks/initqueue/299.sh
//lib/dracut/hooks/initqueue/299.sh@1(): '[' -e /lib/dracut/hooks/initqueue/299.sh ']'
//lib/dracut/hooks/initqueue/299.sh@1(): rm /lib/dracut/hooks/initqueue/299.sh
//lib/dracut/hooks/initqueue/299.sh@2(): /sbin/ifup eth0
//lib/dracut-lib.sh@256(): hookdir=/lib/dracut/hooks
//lib/dracut-lib.sh@257(): export hookdir
/sbin/ifup@13(): export 'PS4=ifup.eth0.331 + '
/sbin/ifup@13(): PS4='ifup.eth0.331 + '
ifup.eth0.331 + exec

[ nacc: interface is "up" now ]

udevd[241]: RUN+="socket:..." support will be removed from a future udev release. Please remove it from: /usr/lib/udev/rules.d/40-multipath.rules:16 and use libudev to
+subscribe to events.
^M
/init@158(): check_finished
/lib/dracut-lib.sh@264(check_finished): local f
/lib/dracut-lib.sh@265(check_finished): for f in '$hookdir/initqueue/finished/*.sh'
/lib/dracut-lib.sh@266(check_finished): '[' '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh' = '/lib/dracut/hooks/initqueue/finished/*.sh' ']'
/lib/dracut-lib.sh@267(check_finished): '[' -e '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh' ']'
/lib/dracut-lib.sh@267(check_finished): . '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh'
//lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh@1(source): '[' -e /dev/root ']'
/lib/dracut-lib.sh@267(check_finished): return 1
/init@161(): udevadm settle --timeout=0
/init@163(): for job in '$hookdir/initqueue/settled/*.sh'
/init@164(): '[' -e /lib/dracut/hooks/initqueue/settled/01-sendmac.sh ']'
/init@165(): job=/lib/dracut/hooks/initqueue/settled/01-sendmac.sh
/init@165(): . /lib/dracut/hooks/initqueue/settled/01-sendmac.sh
//lib/dracut/hooks/initqueue/settled/01-sendmac.sh@1(): '[' -e /lib/dracut/hooks/initqueue/settled/01-sendmac.sh ']'
//lib/dracut/hooks/initqueue/settled/01-sendmac.sh@1(): rm /lib/dracut/hooks/initqueue/settled/01-sendmac.sh
/init@166(): check_finished
/lib/dracut-lib.sh@264(check_finished): local f
/lib/dracut-lib.sh@265(check_finished): for f in '$hookdir/initqueue/finished/*.sh'
/lib/dracut-lib.sh@266(check_finished): '[' '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh' = '/lib/dracut/hooks/initqueue/finished/*.sh' ']'
/lib/dracut-lib.sh@267(check_finished): '[' -e '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh' ']'
/lib/dracut-lib.sh@267(check_finished): . '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh'
//lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh@1(source): '[' -e /dev/root ']'
/lib/dracut-lib.sh@267(check_finished): return 1
/init@169(): udevadm settle --timeout=0
/init@172(): sleep 0.5
/init@175(): '[' 0 -gt 20 ']'
/init@183(): main_loop=1
/init@184(): '[' 1 -gt 40 ']'
/init@143(): :
/init@145(): check_finished
/lib/dracut-lib.sh@264(check_finished): local f
/lib/dracut-lib.sh@265(check_finished): for f in '$hookdir/initqueue/finished/*.sh'
/lib/dracut-lib.sh@266(check_finished): '[' '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh' = '/lib/dracut/hooks/initqueue/finished/*.sh' ']'
/lib/dracut-lib.sh@267(check_finished): '[' -e '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh' ']'
/lib/dracut-lib.sh@267(check_finished): . '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh'
//lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh@1(source): '[' -e /dev/root ']'
/lib/dracut-lib.sh@267(check_finished): return 1
/init@147(): udevsettle
/lib/dracut-lib.sh@358(udevsettle): '[' -z 181 ']'
/lib/dracut-lib.sh@360(udevsettle): '[' 181 -ge 143 ']'
/lib/dracut-lib.sh@361(udevsettle): udevadm settle --exit-if-exists=/lib/dracut/hooks/initqueue/work
/init@149(): check_finished
/lib/dracut-lib.sh@264(check_finished): local f
/lib/dracut-lib.sh@265(check_finished): for f in '$hookdir/initqueue/finished/*.sh'
/lib/dracut-lib.sh@266(check_finished): '[' '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh' = '/lib/dracut/hooks/initqueue/finished/*.sh' ']'
/lib/dracut-lib.sh@267(check_finished): '[' -e '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh' ']'
/lib/dracut-lib.sh@267(check_finished): . '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh'
//lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh@1(source): '[' -e /dev/root ']'
/lib/dracut-lib.sh@267(check_finished): return 1
/init@151(): '[' -f /lib/dracut/hooks/initqueue/work ']'
/init@152(): rm /lib/dracut/hooks/initqueue/work
/init@155(): for job in '$hookdir/initqueue/*.sh'
/init@156(): '[' -e /lib/dracut/hooks/initqueue/745.sh ']'
/init@157(): job=/lib/dracut/hooks/initqueue/745.sh
/init@157(): . /lib/dracut/hooks/initqueue/745.sh
//lib/dracut/hooks/initqueue/745.sh@1(): '[' -e /lib/dracut/hooks/initqueue/745.sh ']'
//lib/dracut/hooks/initqueue/745.sh@1(): rm /lib/dracut/hooks/initqueue/745.sh
//lib/dracut/hooks/initqueue/745.sh@2(): /sbin/ifup eth0
//lib/dracut-lib.sh@256(): hookdir=/lib/dracut/hooks
//lib/dracut-lib.sh@257(): export hookdir
/sbin/ifup@13(): export 'PS4=ifup.eth0.768 + '
/sbin/ifup@13(): PS4='ifup.eth0.768 + '
ifup.eth0.768 + exec
/init@158(): check_finished
/lib/dracut-lib.sh@264(check_finished): local f
/lib/dracut-lib.sh@265(check_finished): for f in '$hookdir/initqueue/finished/*.sh'
/lib/dracut-lib.sh@266(check_finished): '[' '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh' = '/lib/dracut/hooks/initqueue/finished/*.sh' ']'
/lib/dracut-lib.sh@267(check_finished): '[' -e '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh' ']'
/lib/dracut-lib.sh@267(check_finished): . '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh'
//lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh@1(source): '[' -e /dev/root ']'
/lib/dracut-lib.sh@267(check_finished): return 1
/init@155(): for job in '$hookdir/initqueue/*.sh'
/init@156(): '[' -e /lib/dracut/hooks/initqueue/753.sh ']'
/init@157(): job=/lib/dracut/hooks/initqueue/753.sh
/init@157(): . /lib/dracut/hooks/initqueue/753.sh
//lib/dracut/hooks/initqueue/753.sh@1(): '[' -e /lib/dracut/hooks/initqueue/753.sh ']'
//lib/dracut/hooks/initqueue/753.sh@1(): rm /lib/dracut/hooks/initqueue/753.sh
//lib/dracut/hooks/initqueue/753.sh@2(): netif=eth0
//lib/dracut/hooks/initqueue/753.sh@3(): source_hook initqueue/online
//lib/dracut-lib.sh@260(source_hook): source_all /lib/dracut/hooks/initqueue/online
//lib/dracut-lib.sh@251(source_all): local f
//lib/dracut-lib.sh@252(source_all): '[' /lib/dracut/hooks/initqueue/online ']'
//lib/dracut-lib.sh@252(source_all): '[' -d //lib/dracut/hooks/initqueue/online ']'
//lib/dracut-lib.sh@253(source_all): for f in '"/$1"/*.sh'
//lib/dracut-lib.sh@253(source_all): '[' -e //lib/dracut/hooks/initqueue/online/00fetch-kickstart-net.sh ']'
//lib/dracut-lib.sh@253(source_all): . //lib/dracut/hooks/initqueue/online/00fetch-kickstart-net.sh
////lib/dracut/hooks/initqueue/online/00fetch-kickstart-net.sh@6(source): '[' -e /tmp/ks.cfg.done ']'
////lib/dracut/hooks/initqueue/online/00fetch-kickstart-net.sh@9(source): '[' -n http://9.3.191.134/cblr/svc/op/ks/system/ltcfbp55a-lp3.austin.ibm.com ']'
////lib/dracut/hooks/initqueue/online/00fetch-kickstart-net.sh@12(source): '[' -n eth0 ']'
////lib/dracut/hooks/initqueue/online/00fetch-kickstart-net.sh@12(source): '[' eth0 '!=' eth0 ']'
////lib/dracut/hooks/initqueue/online/00fetch-kickstart-net.sh@15(source): '[' -z eth0 ']'
////lib/dracut/hooks/initqueue/online/00fetch-kickstart-net.sh@17(source): command -v getarg
////lib/dracut/hooks/initqueue/online/00fetch-kickstart-net.sh@18(source): . /lib/url-lib.sh
////lib/url-lib.sh@7(source): type mkuniqdir
////lib/url-lib.sh@54(source): export CURL_HOME=/run/initramfs/url-lib
////lib/url-lib.sh@54(source): CURL_HOME=/run/initramfs/url-lib
////lib/url-lib.sh@55(source): mkdir -p /run/initramfs/url-lib
////lib/url-lib.sh@56(source): curl_args='--location --retry 3 --fail --show-error --progress-bar'
////lib/url-lib.sh@70(source): add_url_handler curl_fetch_url http https ftp
////lib/url-lib.sh@42(add_url_handler): local handler=curl_fetch_url
////lib/url-lib.sh@42(add_url_handler): shift
////lib/url-lib.sh@43(add_url_handler): local 'schemes=http https ftp' scheme=
////lib/url-lib.sh@44(add_url_handler): set --
////lib/url-lib.sh@45(add_url_handler): for scheme in '$schemes'
////lib/url-lib.sh@46(add_url_handler): set -- http:curl_fetch_url
////lib/url-lib.sh@45(add_url_handler): for scheme in '$schemes'
////lib/url-lib.sh@46(add_url_handler): set -- http:curl_fetch_url https:curl_fetch_url
////lib/url-lib.sh@45(add_url_handler): for scheme in '$schemes'
////lib/url-lib.sh@46(add_url_handler): set -- http:curl_fetch_url https:curl_fetch_url ftp:curl_fetch_url
////lib/url-lib.sh@48(add_url_handler): set -- http:curl_fetch_url https:curl_fetch_url ftp:curl_fetch_url nfs:nfs_fetch_url nfs4:nfs_fetch_url http:curl_fetch_url
+https:curl_fetch_url ftp:curl_fetch_url nfs:nfs_fetch_url nfs4:nfs_fetch_url http:curl_fetch_url https:curl_fetch_url ftp:curl_fetch_url
////lib/url-lib.sh@49(add_url_handler): url_handler_map='http:curl_fetch_url https:curl_fetch_url ftp:curl_fetch_url nfs:nfs_fetch_url nfs4:nfs_fetch_url
+http:curl_fetch_url https:curl_fetch_url ftp:curl_fetch_url nfs:nfs_fetch_url nfs4:nfs_fetch_url http:curl_fetch_url https:curl_fetch_url ftp:curl_fetch_url'
////lib/url-lib.sh@78(source): '[' -e /lib/nfs-lib.sh ']'
////lib/url-lib.sh@78(source): . /lib/nfs-lib.sh
/////lib/nfs-lib.sh@5(source): type getarg
/////lib/nfs-lib.sh@6(source): . /lib/net-lib.sh
////lib/url-lib.sh@116(source): command -v nfs_to_var
////lib/url-lib.sh@116(source): add_url_handler nfs_fetch_url nfs nfs4
////lib/url-lib.sh@42(add_url_handler): local handler=nfs_fetch_url
////lib/url-lib.sh@42(add_url_handler): shift
////lib/url-lib.sh@43(add_url_handler): local 'schemes=nfs nfs4' scheme=
////lib/url-lib.sh@44(add_url_handler): set --
////lib/url-lib.sh@45(add_url_handler): for scheme in '$schemes'
////lib/url-lib.sh@46(add_url_handler): set -- nfs:nfs_fetch_url
////lib/url-lib.sh@45(add_url_handler): for scheme in '$schemes'
////lib/url-lib.sh@46(add_url_handler): set -- nfs:nfs_fetch_url nfs4:nfs_fetch_url
////lib/url-lib.sh@48(add_url_handler): set -- nfs:nfs_fetch_url nfs4:nfs_fetch_url http:curl_fetch_url https:curl_fetch_url ftp:curl_fetch_url nfs:nfs_fetch_url
+nfs4:nfs_fetch_url http:curl_fetch_url https:curl_fetch_url ftp:curl_fetch_url nfs:nfs_fetch_url nfs4:nfs_fetch_url http:curl_fetch_url https:curl_fetch_url
+ftp:curl_fetch_url
////lib/url-lib.sh@49(add_url_handler): url_handler_map='nfs:nfs_fetch_url nfs4:nfs_fetch_url http:curl_fetch_url https:curl_fetch_url ftp:curl_fetch_url
+nfs:nfs_fetch_url nfs4:nfs_fetch_url http:curl_fetch_url https:curl_fetch_url ftp:curl_fetch_url nfs:nfs_fetch_url nfs4:nfs_fetch_url http:curl_fetch_url
+https:curl_fetch_url ftp:curl_fetch_url'
////lib/dracut/hooks/initqueue/online/00fetch-kickstart-net.sh@19(source): . /lib/anaconda-lib.sh
////lib/anaconda-lib.sh@44(source): repodir=/run/install/repo
////lib/anaconda-lib.sh@45(source): isodir=/run/install/isodir
////lib/anaconda-lib.sh@46(source): rulesfile=/etc/udev/rules.d/90-anaconda.rules
////lib/dracut/hooks/initqueue/online/00fetch-kickstart-net.sh@21(source): '[' http://9.3.191.134/cblr/svc/op/ks/system/ltcfbp55a-lp3.austin.ibm.com = nfs:auto ']'
////lib/dracut/hooks/initqueue/online/00fetch-kickstart-net.sh@43(source): emergency_shell -n kickstart 'Before kickstart'
///lib/dracut-lib.sh@787(emergency_shell): local _ctty
///lib/dracut-lib.sh@788(emergency_shell): set +e
///lib/dracut-lib.sh@789(emergency_shell): '[' -n = -n ']'
///lib/dracut-lib.sh@790(emergency_shell): _rdshell_name=kickstart
///lib/dracut-lib.sh@791(emergency_shell): shift 2
///lib/dracut-lib.sh@795(emergency_shell): echo

///lib/dracut-lib.sh@795(emergency_shell): echo

///lib/dracut-lib.sh@796(emergency_shell): warn Before kickstart
///lib/dracut-lib.sh@303(warn): check_quiet
///lib/dracut-lib.sh@294(check_quiet): '[' -z yes ']'
///lib/dracut-lib.sh@304(warn): echo '<28>dracut Warning: Before' kickstart
[  172.693472] dracut Warning: Before kickstart
///lib/dracut-lib.sh@305(warn): echo 'dracut Warning: Before' kickstart
dracut Warning: Before kickstart
///lib/dracut-lib.sh@797(emergency_shell): source_hook emergency
///lib/dracut-lib.sh@260(source_hook): source_all /lib/dracut/hooks/emergency
///lib/dracut-lib.sh@251(source_all): local f
///lib/dracut-lib.sh@252(source_all): '[' /lib/dracut/hooks/emergency ']'
///lib/dracut-lib.sh@252(source_all): '[' -d //lib/dracut/hooks/emergency ']'
///lib/dracut-lib.sh@253(source_all): for f in '"/$1"/*.sh'
///lib/dracut-lib.sh@253(source_all): '[' -e '//lib/dracut/hooks/emergency/80-\\x2fdev\\x2froot.sh' ']'
///lib/dracut-lib.sh@253(source_all): . '//lib/dracut/hooks/emergency/80-\\x2fdev\\x2froot.sh'
/////lib/dracut/hooks/emergency/80-\\x2fdev\\x2froot.sh@1(source): '[' -e /dev/root ']'
/////lib/dracut/hooks/emergency/80-\\x2fdev\\x2froot.sh@1(source): warn '/dev/root does not exist'
////lib/dracut-lib.sh@303(warn): check_quiet
////lib/dracut-lib.sh@294(check_quiet): '[' -z yes ']'
////lib/dracut-lib.sh@304(warn): echo '<28>dracut Warning: /dev/root does not exist'
[  172.694880] dracut Warning: /dev/root does not exist
////lib/dracut-lib.sh@305(warn): echo 'dracut Warning: /dev/root does not exist'
dracut Warning: /dev/root does not exist
///lib/dracut-lib.sh@798(emergency_shell): echo

///lib/dracut-lib.sh@799(emergency_shell): wait_for_loginit
///lib/dracut-lib.sh@759(wait_for_loginit): '[' yes = yes ']'
///lib/dracut-lib.sh@760(wait_for_loginit): '[' -e /run/initramfs/loginit.pipe ']'
///lib/dracut-lib.sh@761(wait_for_loginit): set +x
DRACUT_LOG_END
/lib/dracut-lib.sh: line 778: /run/initramfs/loginit.pid: No such file or directory
kill: usage: kill [-s sigspec | -n signum | -sigspec] pid | jobspec ... or kill -l [sigspec]
///lib/dracut-lib.sh@782(wait_for_loginit): rm -f /run/initramfs/loginit.pipe /run/initramfs/loginit.pid
///lib/dracut-lib.sh@800(emergency_shell): '[' -e /run/initramfs/.die ']'
///lib/dracut-lib.sh@801(emergency_shell): getargbool 1 rd.shell -y rdshell
///lib/dracut-lib.sh@118(getargbool): local _b
///lib/dracut-lib.sh@119(getargbool): unset _b
///lib/dracut-lib.sh@120(getargbool): local _default
///lib/dracut-lib.sh@121(getargbool): _default=1
///lib/dracut-lib.sh@121(getargbool): shift
////lib/dracut-lib.sh@122(getargbool): getarg rd.shell -y rdshell
////lib/dracut-lib.sh@91(getarg): set +x
////lib/dracut-lib.sh@114(getarg): return 1
///lib/dracut-lib.sh@122(getargbool): _b=
///lib/dracut-lib.sh@123(getargbool): '[' 1 -ne 0 -a -z '' ']'
///lib/dracut-lib.sh@123(getargbool): _b=1
///lib/dracut-lib.sh@124(getargbool): '[' -n 1 ']'
///lib/dracut-lib.sh@125(getargbool): '[' 1 = 0 ']'
///lib/dracut-lib.sh@126(getargbool): '[' 1 = no ']'
///lib/dracut-lib.sh@127(getargbool): '[' 1 = off ']'
///lib/dracut-lib.sh@129(getargbool): return 0
///lib/dracut-lib.sh@802(emergency_shell): echo 'Dropping to debug shell.'
Dropping to debug shell.
///lib/dracut-lib.sh@803(emergency_shell): echo

///lib/dracut-lib.sh@804(emergency_shell): export 'PS1=kickstart:${PWD}# '
///lib/dracut-lib.sh@804(emergency_shell): PS1='kickstart:${PWD}# '
///lib/dracut-lib.sh@805(emergency_shell): '[' -e /.profile ']'
////lib/dracut-lib.sh@807(emergency_shell): getarg rd.ctty=
////lib/dracut-lib.sh@91(getarg): set +x
////lib/dracut-lib.sh@114(getarg): return 1
///lib/dracut-lib.sh@807(emergency_shell): _ctty=
///lib/dracut-lib.sh@808(emergency_shell): '[' -z '' ']'
///lib/dracut-lib.sh@809(emergency_shell): _ctty=console
///lib/dracut-lib.sh@810(emergency_shell): '[' -f /sys/class/tty/console/active ']'
////lib/dracut-lib.sh@811(emergency_shell): cat /sys/class/tty/console/active
///lib/dracut-lib.sh@811(emergency_shell): _ctty=hvc0
///lib/dracut-lib.sh@812(emergency_shell): _ctty=hvc0
///lib/dracut-lib.sh@810(emergency_shell): '[' -f /sys/class/tty/hvc0/active ']'
///lib/dracut-lib.sh@814(emergency_shell): _ctty=/dev/hvc0
///lib/dracut-lib.sh@816(emergency_shell): '[' -c /dev/hvc0 ']'
////lib/dracut-lib.sh@817(emergency_shell): setsid --help
///lib/dracut-lib.sh@817(emergency_shell): strstr '
Usage:
 setsid [options] <program> [arguments ...]

Options:
 -h, --help     display this help and exit
 -V, --version  output version information and exit

For more details see setsid(1).' control
///lib/dracut-lib.sh@7(strstr): '[' '
Usage:
 setsid [options] <program> [arguments ...]

Options:
 -h, --help     display this help and exit
 -V, --version  output version information and exit

For more details see setsid(1).' '!=' '
Usage:
 setsid [options] <program> [arguments ...]

Options:
 -h, --help     display this help and exit
 -V, --version  output version information and exit

For more details see setsid(1).' ']'
///lib/dracut-lib.sh@818(emergency_shell): setsid /bin/sh -i -l
kickstart:/# ip addr show
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UNKNOWN qlen 1000
    link/ether 82:5c:6e:06:23:04 brd ff:ff:ff:ff:ff:ff
    inet6 fe80::805c:6eff:fe06:2304/64 scope link
       valid_lft forever preferred_lft forever
kickstart:/# exit

[ nacc: interface is demonstrably up, but no IP has been assigned ]

logout
////lib/dracut/hooks/initqueue/online/00fetch-kickstart-net.sh@44(source): info 'anaconda fetching kickstart from
+http://9.3.191.134/cblr/svc/op/ks/system/ltcfbp55a-lp3.austin.ibm.com'
///lib/dracut-lib.sh@309(info): check_quiet
///lib/dracut-lib.sh@294(check_quiet): '[' -z yes ']'
///lib/dracut-lib.sh@310(info): echo '<30>dracut: anaconda fetching kickstart from http://9.3.191.134/cblr/svc/op/ks/system/ltcfbp55a-lp3.austin.ibm.com'
[  187.250426] dracut: anaconda fetching kickstart from http://9.3.191.134/cblr/svc/op/ks/system/ltcfbp55a-lp3.austin.ibm.com
///lib/dracut-lib.sh@311(info): '[' yes '!=' yes ']'
////lib/dracut/hooks/initqueue/online/00fetch-kickstart-net.sh@45(source): fetch_url http://9.3.191.134/cblr/svc/op/ks/system/ltcfbp55a-lp3.austin.ibm.com /tmp/ks.cfg
///lib/url-lib.sh@22(fetch_url): local url=http://9.3.191.134/cblr/svc/op/ks/system/ltcfbp55a-lp3.austin.ibm.com outloc=/tmp/ks.cfg
////lib/url-lib.sh@23(fetch_url): get_url_handler http://9.3.191.134/cblr/svc/op/ks/system/ltcfbp55a-lp3.austin.ibm.com
////lib/url-lib.sh@32(get_url_handler): local scheme=http item=
////lib/url-lib.sh@33(get_url_handler): for item in '$url_handler_map'
////lib/url-lib.sh@34(get_url_handler): '[' http = nfs ']'
////lib/url-lib.sh@33(get_url_handler): for item in '$url_handler_map'
////lib/url-lib.sh@34(get_url_handler): '[' http = nfs4 ']'
////lib/url-lib.sh@33(get_url_handler): for item in '$url_handler_map'
////lib/url-lib.sh@34(get_url_handler): '[' http = http ']'
////lib/url-lib.sh@34(get_url_handler): echo curl_fetch_url
////lib/url-lib.sh@34(get_url_handler): return 0
///lib/url-lib.sh@23(fetch_url): local handler=curl_fetch_url
///lib/url-lib.sh@24(fetch_url): '[' -n curl_fetch_url ']'
///lib/url-lib.sh@25(fetch_url): '[' -n http://9.3.191.134/cblr/svc/op/ks/system/ltcfbp55a-lp3.austin.ibm.com ']'
///lib/url-lib.sh@26(fetch_url): curl_fetch_url http://9.3.191.134/cblr/svc/op/ks/system/ltcfbp55a-lp3.austin.ibm.com /tmp/ks.cfg
///lib/url-lib.sh@58(curl_fetch_url): local url=http://9.3.191.134/cblr/svc/op/ks/system/ltcfbp55a-lp3.austin.ibm.com outloc=/tmp/ks.cfg
///lib/url-lib.sh@59(curl_fetch_url): echo http://9.3.191.134/cblr/svc/op/ks/system/ltcfbp55a-lp3.austin.ibm.com
http://9.3.191.134/cblr/svc/op/ks/system/ltcfbp55a-lp3.austin.ibm.com
///lib/url-lib.sh@60(curl_fetch_url): '[' -n /tmp/ks.cfg ']'
///lib/url-lib.sh@61(curl_fetch_url): curl --location --retry 3 --fail --show-error --progress-bar --output /tmp/ks.cfg
+http://9.3.191.134/cblr/svc/op/ks/system/ltcfbp55a-lp3.austin.ibm.com
curl: (7) Failed to connect to 9.3.191.134: Network is unreachable

[ nacc: so curl fails ]

///lib/url-lib.sh@61(curl_fetch_url): return 7
////lib/dracut/hooks/initqueue/online/00fetch-kickstart-net.sh@49(source): warn 'failed to fetch kickstart from
+http://9.3.191.134/cblr/svc/op/ks/system/ltcfbp55a-lp3.austin.ibm.com'
///lib/dracut-lib.sh@303(warn): check_quiet
///lib/dracut-lib.sh@294(check_quiet): '[' -z yes ']'
///lib/dracut-lib.sh@304(warn): echo '<28>dracut Warning: failed to fetch kickstart from http://9.3.191.134/cblr/svc/op/ks/system/ltcfbp55a-lp3.austin.ibm.com'
[  187.263685] dracut Warning: failed to fetch kickstart from http://9.3.191.134/cblr/svc/op/ks/system/ltcfbp55a-lp3.austin.ibm.com
///lib/dracut-lib.sh@305(warn): echo 'dracut Warning: failed to fetch kickstart from http://9.3.191.134/cblr/svc/op/ks/system/ltcfbp55a-lp3.austin.ibm.com'
dracut Warning: failed to fetch kickstart from http://9.3.191.134/cblr/svc/op/ks/system/ltcfbp55a-lp3.austin.ibm.com
//lib/dracut-lib.sh@253(source_all): for f in '"/$1"/*.sh'
//lib/dracut-lib.sh@253(source_all): '[' -e //lib/dracut/hooks/initqueue/online/80anaconda-netroot.sh ']'
//lib/dracut-lib.sh@253(source_all): . //lib/dracut/hooks/initqueue/online/80anaconda-netroot.sh
////lib/dracut/hooks/initqueue/online/80anaconda-netroot.sh@5(source): command -v getarg
////lib/dracut/hooks/initqueue/online/80anaconda-netroot.sh@8(source): splitsep : livenet prefix repo
///lib/dracut-lib.sh@219(splitsep): local sep=:
///lib/dracut-lib.sh@219(splitsep): local str=livenet
///lib/dracut-lib.sh@219(splitsep): shift 2
///lib/dracut-lib.sh@220(splitsep): local tmp
///lib/dracut-lib.sh@222(splitsep): '[' -n livenet -a -n 'prefix repo' ']'
///lib/dracut-lib.sh@223(splitsep): tmp=livenet
///lib/dracut-lib.sh@224(splitsep): eval prefix=livenet
////lib/dracut-lib.sh@224(splitsep): prefix=livenet
///lib/dracut-lib.sh@225(splitsep): str=
///lib/dracut-lib.sh@226(splitsep): str=
///lib/dracut-lib.sh@227(splitsep): shift
///lib/dracut-lib.sh@222(splitsep): '[' -n '' -a -n repo ']'
///lib/dracut-lib.sh@230(splitsep): return 0
////lib/dracut/hooks/initqueue/online/80anaconda-netroot.sh@11(source): '[' livenet = anaconda-net ']'
////lib/dracut/hooks/initqueue/online/80anaconda-netroot.sh@11(source): return 0
//lib/dracut-lib.sh@253(source_all): for f in '"/$1"/*.sh'
//lib/dracut-lib.sh@253(source_all): '[' -e //lib/dracut/hooks/initqueue/online/95fetch-liveupdate.sh ']'
//lib/dracut-lib.sh@253(source_all): . //lib/dracut/hooks/initqueue/online/95fetch-liveupdate.sh
////lib/dracut/hooks/initqueue/online/95fetch-liveupdate.sh@7(source): '[' -e /tmp/liveupdates.info ']'
////lib/dracut/hooks/initqueue/online/95fetch-liveupdate.sh@7(source): return 0
//lib/dracut-lib.sh@253(source_all): for f in '"/$1"/*.sh'
//lib/dracut-lib.sh@253(source_all): '[' -e //lib/dracut/hooks/initqueue/online/anaconda-ifcfg.sh ']'
//lib/dracut-lib.sh@253(source_all): . //lib/dracut/hooks/initqueue/online/anaconda-ifcfg.sh
////lib/dracut/hooks/initqueue/online/anaconda-ifcfg.sh@1(source): save_netinfo eth0
///lib/anaconda-lib.sh@111(save_netinfo): local netif=eth0 IFACES= f= i=
///lib/anaconda-lib.sh@112(save_netinfo): '[' -e /tmp/net.ifaces ']'
///lib/anaconda-lib.sh@114(save_netinfo): set -- eth0
///lib/anaconda-lib.sh@116(save_netinfo): IFACES=eth0
///lib/anaconda-lib.sh@117(save_netinfo): for i in '$IFACES'
///lib/anaconda-lib.sh@118(save_netinfo): for f in '/tmp/dhclient.$i.*'
///lib/anaconda-lib.sh@119(save_netinfo): '[' -f /tmp/dhclient.eth0.dhcpopts ']'
///lib/anaconda-lib.sh@119(save_netinfo): cp -f /tmp/dhclient.eth0.dhcpopts /tmp/net.eth0.dhcpopts
///lib/anaconda-lib.sh@118(save_netinfo): for f in '/tmp/dhclient.$i.*'
///lib/anaconda-lib.sh@119(save_netinfo): '[' -f /tmp/dhclient.eth0.lease ']'
///lib/anaconda-lib.sh@119(save_netinfo): cp -f /tmp/dhclient.eth0.lease /tmp/net.eth0.lease
///lib/anaconda-lib.sh@118(save_netinfo): for f in '/tmp/dhclient.$i.*'
///lib/anaconda-lib.sh@119(save_netinfo): '[' -f /tmp/dhclient.eth0.pid ']'
///lib/anaconda-lib.sh@119(save_netinfo): cp -f /tmp/dhclient.eth0.pid /tmp/net.eth0.pid
///lib/anaconda-lib.sh@122(save_netinfo): echo eth0
/init@158(): check_finished
/lib/dracut-lib.sh@264(check_finished): local f
/lib/dracut-lib.sh@265(check_finished): for f in '$hookdir/initqueue/finished/*.sh'
/lib/dracut-lib.sh@266(check_finished): '[' '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh' = '/lib/dracut/hooks/initqueue/finished/*.sh' ']'
/lib/dracut-lib.sh@267(check_finished): '[' -e '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh' ']'
/lib/dracut-lib.sh@267(check_finished): . '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh'
//lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh@1(source): '[' -e /dev/root ']'
/lib/dracut-lib.sh@267(check_finished): return 1
/init@155(): for job in '$hookdir/initqueue/*.sh'
/init@156(): '[' -e /lib/dracut/hooks/initqueue/netroot-eth0743.sh ']'
/init@157(): job=/lib/dracut/hooks/initqueue/netroot-eth0743.sh
/init@157(): . /lib/dracut/hooks/initqueue/netroot-eth0743.sh
//lib/dracut/hooks/initqueue/netroot-eth0743.sh@1(): '[' -e /lib/dracut/hooks/initqueue/netroot-eth0743.sh ']'
//lib/dracut/hooks/initqueue/netroot-eth0743.sh@1(): rm /lib/dracut/hooks/initqueue/netroot-eth0743.sh
//lib/dracut/hooks/initqueue/netroot-eth0743.sh@2(): /usr/sbin/netroot eth0
//lib/dracut-lib.sh@256(): hookdir=/lib/dracut/hooks
//lib/dracut-lib.sh@257(): export hookdir
/usr/sbin/netroot@7(): command -v setup_net
/usr/sbin/netroot@7(): . /lib/net-lib.sh
/usr/sbin/netroot@10(): '[' -z eth0 ']'
/usr/sbin/netroot@16(): '[' -z '' ']'
/usr/sbin/netroot@17(): '[' -d /sysroot/proc ']'
/usr/sbin/netroot@18(): '[' -z livenet:http://9.3.191.134/cblr/links/fedora17-alpha-ppc64/LiveOS/squashfs.img ']'
/usr/sbin/netroot@24(): all_ifaces_up
/lib/net-lib.sh@36(all_ifaces_up): local iface= IFACES=
/lib/net-lib.sh@37(all_ifaces_up): '[' -e /tmp/net.ifaces ']'
/lib/net-lib.sh@37(all_ifaces_up): read IFACES
/lib/net-lib.sh@38(all_ifaces_up): for iface in '$IFACES'
/lib/net-lib.sh@39(all_ifaces_up): '[' -e /tmp/net.eth0.up ']'
/usr/sbin/netroot@27(): netif=eth0
/usr/sbin/netroot@28(): '[' -e /tmp/net.bootdev ']'
/usr/sbin/netroot@30(): '[' -e /tmp/net.eth0.manualup ']'
/usr/sbin/netroot@36(): '[' -z '' ']'
/usr/sbin/netroot@37(): '[' livenet:http://9.3.191.134/cblr/links/fedora17-alpha-ppc64/LiveOS/squashfs.img = dhcp ']'
/usr/sbin/netroot@37(): '[' livenet:http://9.3.191.134/cblr/links/fedora17-alpha-ppc64/LiveOS/squashfs.img = dhcp6 ']'
/usr/sbin/netroot@60(): rootok=1
/usr/sbin/netroot@64(): '[' -z livenet ']'
/usr/sbin/netroot@65(): '[' -z 1 ']'
/usr/sbin/netroot@67(): handler=livenet
/usr/sbin/netroot@68(): handler=livenet
//usr/sbin/netroot@69(): command -v livenetroot
/usr/sbin/netroot@69(): handler=/usr/sbin/livenetroot
/usr/sbin/netroot@70(): '[' -z livenet:http://9.3.191.134/cblr/links/fedora17-alpha-ppc64/LiveOS/squashfs.img ']'
/usr/sbin/netroot@70(): '[' '!' -e /usr/sbin/livenetroot ']'
/usr/sbin/netroot@76(): setup_net eth0

[ nacc: in contrast, the dynamically generated netroot-eth0743.sh file calls
  setup_net eth0 *before* doing anything with eth0, so it succeeds ]

/lib/net-lib.sh@66(setup_net): local netif=eth0 f= gw_ip= netroot_ip= iface= IFACES=
/lib/net-lib.sh@67(setup_net): '[' -e /tmp/net.eth0.up ']'
/lib/net-lib.sh@68(setup_net): '[' -e /tmp/net.ifaces ']'
/lib/net-lib.sh@68(setup_net): read IFACES
/lib/net-lib.sh@69(setup_net): '[' -z eth0 ']'
/lib/net-lib.sh@70(setup_net): for iface in '$IFACES'
/lib/net-lib.sh@71(setup_net): . /tmp/net.eth0.up
//tmp/net.eth0.up@1(source): ip addr add 9.3.192.208/255.255.255.0 broadcast 9.3.192.255 dev eth0
/lib/net-lib.sh@74(setup_net): '[' -e /tmp/net.eth0.gw ']'
/lib/net-lib.sh@74(setup_net): . /tmp/net.eth0.gw
//tmp/net.eth0.gw@1(source): ip route add default via 9.3.192.1 dev eth0
/lib/net-lib.sh@75(setup_net): '[' -e /tmp/net.eth0.hostname ']'
/lib/net-lib.sh@75(setup_net): . /tmp/net.eth0.hostname
//tmp/net.eth0.hostname@1(source): echo ltcfbp55a-lp3.austin.ibm.com.
/lib/net-lib.sh@76(setup_net): '[' -e /tmp/net.eth0.override ']'
/lib/net-lib.sh@77(setup_net): '[' -e /tmp/dhclient.eth0.dhcpopts ']'
/lib/net-lib.sh@77(setup_net): . /tmp/dhclient.eth0.dhcpopts
//tmp/dhclient.eth0.dhcpopts@1(source): new_broadcast_address=9.3.192.255
//tmp/dhclient.eth0.dhcpopts@2(source): new_dhcp_lease_time=43200
//tmp/dhclient.eth0.dhcpopts@3(source): new_dhcp_message_type=5
//tmp/dhclient.eth0.dhcpopts@4(source): new_dhcp_server_identifier=9.3.191.134
//tmp/dhclient.eth0.dhcpopts@5(source): new_expiry=194821
//tmp/dhclient.eth0.dhcpopts@6(source): new_filename=/yaboot
//tmp/dhclient.eth0.dhcpopts@7(source): new_host_name=ltcfbp55a-lp3.austin.ibm.com
//tmp/dhclient.eth0.dhcpopts@8(source): new_ip_address=9.3.192.208
//tmp/dhclient.eth0.dhcpopts@9(source): new_network_number=9.3.192.0
//tmp/dhclient.eth0.dhcpopts@10(source): new_routers=9.3.192.1
//tmp/dhclient.eth0.dhcpopts@11(source): new_subnet_mask=255.255.255.0
/lib/net-lib.sh@79(setup_net): '[' -e /tmp/net.eth0.resolv.conf ']'
/lib/net-lib.sh@80(setup_net): cp -f /tmp/net.eth0.resolv.conf /etc/resolv.conf
/lib/net-lib.sh@88(setup_net): '[' -n 9.3.192.1 ']'
/lib/net-lib.sh@88(setup_net): gw_ip=9.3.192.1
/lib/net-lib.sh@89(setup_net): '[' -n '' ']'
//lib/net-lib.sh@92(setup_net): get_netroot_ip livenet:http://9.3.191.134/cblr/links/fedora17-alpha-ppc64/LiveOS/squashfs.img
//lib/net-lib.sh@44(get_netroot_ip): local prefix= server= rest=
//lib/net-lib.sh@45(get_netroot_ip): splitsep livenet:http://9.3.191.134/cblr/links/fedora17-alpha-ppc64/LiveOS/squashfs.img : prefix server rest
//lib/dracut-lib.sh@219(splitsep): local sep=livenet:http://9.3.191.134/cblr/links/fedora17-alpha-ppc64/LiveOS/squashfs.img
//lib/dracut-lib.sh@219(splitsep): local str=:
//lib/dracut-lib.sh@219(splitsep): shift 2
//lib/dracut-lib.sh@220(splitsep): local tmp
//lib/dracut-lib.sh@222(splitsep): '[' -n : -a -n 'prefix server rest' ']'
//lib/dracut-lib.sh@223(splitsep): tmp=:
//lib/dracut-lib.sh@224(splitsep): eval prefix=:
///lib/dracut-lib.sh@224(splitsep): prefix=:
//lib/dracut-lib.sh@225(splitsep): str=
//lib/dracut-lib.sh@226(splitsep): str=
//lib/dracut-lib.sh@227(splitsep): shift
//lib/dracut-lib.sh@222(splitsep): '[' -n '' -a -n 'server rest' ']'
//lib/dracut-lib.sh@230(splitsep): return 0
//lib/net-lib.sh@46(get_netroot_ip): case $server in
//lib/net-lib.sh@49(get_netroot_ip): return 1
/lib/net-lib.sh@92(setup_net): netroot_ip=
/lib/net-lib.sh@95(setup_net): ip_is_local
//lib/net-lib.sh@53(ip_is_local): ip route get
/lib/net-lib.sh@53(ip_is_local): strstr '' ' via '
/lib/dracut-lib.sh@7(strstr): '[' '' '!=' '' ']'
/lib/net-lib.sh@95(setup_net): '[' -z 9.3.192.1 ']'
/lib/net-lib.sh@98(setup_net): dest=9.3.192.1
/lib/net-lib.sh@100(setup_net): '[' -n 9.3.192.1 ']'
/lib/net-lib.sh@100(setup_net): arping -q -f -w 60 -I eth0 9.3.192.1
/usr/sbin/netroot@79(): '[' -n '' ']'
/usr/sbin/netroot@82(): source_hook netroot
/lib/dracut-lib.sh@260(source_hook): source_all /lib/dracut/hooks/netroot
/lib/dracut-lib.sh@251(source_all): local f
/lib/dracut-lib.sh@252(source_all): '[' /lib/dracut/hooks/netroot ']'
/lib/dracut-lib.sh@252(source_all): '[' -d //lib/dracut/hooks/netroot ']'
/lib/dracut-lib.sh@253(source_all): for f in '"/$1"/*.sh'
/lib/dracut-lib.sh@253(source_all): '[' -e '//lib/dracut/hooks/netroot/*.sh' ']'
/usr/sbin/netroot@86(): /usr/sbin/livenetroot eth0 livenet:http://9.3.191.134/cblr/links/fedora17-alpha-ppc64/LiveOS/squashfs.img /sysroot
//lib/dracut-lib.sh@256(): hookdir=/lib/dracut/hooks
//lib/dracut-lib.sh@257(): export hookdir
/usr/sbin/livenetroot@6(): . /lib/url-lib.sh
//lib/url-lib.sh@7(): type mkuniqdir
//lib/url-lib.sh@54(): export CURL_HOME=/run/initramfs/url-lib
//lib/url-lib.sh@54(): CURL_HOME=/run/initramfs/url-lib
//lib/url-lib.sh@55(): mkdir -p /run/initramfs/url-lib
//lib/url-lib.sh@56(): curl_args='--location --retry 3 --fail --show-error --progress-bar'
//lib/url-lib.sh@70(): add_url_handler curl_fetch_url http https ftp
//lib/url-lib.sh@42(add_url_handler): local handler=curl_fetch_url
//lib/url-lib.sh@42(add_url_handler): shift
//lib/url-lib.sh@43(add_url_handler): local 'schemes=http https ftp' scheme=
//lib/url-lib.sh@44(add_url_handler): set --
//lib/url-lib.sh@45(add_url_handler): for scheme in '$schemes'
//lib/url-lib.sh@46(add_url_handler): set -- http:curl_fetch_url
//lib/url-lib.sh@45(add_url_handler): for scheme in '$schemes'
//lib/url-lib.sh@46(add_url_handler): set -- http:curl_fetch_url https:curl_fetch_url
//lib/url-lib.sh@45(add_url_handler): for scheme in '$schemes'
//lib/url-lib.sh@46(add_url_handler): set -- http:curl_fetch_url https:curl_fetch_url ftp:curl_fetch_url
//lib/url-lib.sh@48(add_url_handler): set -- http:curl_fetch_url https:curl_fetch_url ftp:curl_fetch_url
//lib/url-lib.sh@49(add_url_handler): url_handler_map='http:curl_fetch_url https:curl_fetch_url ftp:curl_fetch_url'
//lib/url-lib.sh@78(): '[' -e /lib/nfs-lib.sh ']'
//lib/url-lib.sh@78(): . /lib/nfs-lib.sh
///lib/nfs-lib.sh@5(): type getarg
///lib/nfs-lib.sh@6(): . /lib/net-lib.sh
//lib/url-lib.sh@116(): command -v nfs_to_var
//lib/url-lib.sh@116(): add_url_handler nfs_fetch_url nfs nfs4
//lib/url-lib.sh@42(add_url_handler): local handler=nfs_fetch_url
//lib/url-lib.sh@42(add_url_handler): shift
//lib/url-lib.sh@43(add_url_handler): local 'schemes=nfs nfs4' scheme=
//lib/url-lib.sh@44(add_url_handler): set --
//lib/url-lib.sh@45(add_url_handler): for scheme in '$schemes'
//lib/url-lib.sh@46(add_url_handler): set -- nfs:nfs_fetch_url
//lib/url-lib.sh@45(add_url_handler): for scheme in '$schemes'
//lib/url-lib.sh@46(add_url_handler): set -- nfs:nfs_fetch_url nfs4:nfs_fetch_url
//lib/url-lib.sh@48(add_url_handler): set -- nfs:nfs_fetch_url nfs4:nfs_fetch_url http:curl_fetch_url https:curl_fetch_url ftp:curl_fetch_url
//lib/url-lib.sh@49(add_url_handler): url_handler_map='nfs:nfs_fetch_url nfs4:nfs_fetch_url http:curl_fetch_url https:curl_fetch_url ftp:curl_fetch_url'
/usr/sbin/livenetroot@8(): PATH=/usr/sbin:/usr/bin:/sbin:/bin
/usr/sbin/livenetroot@11(): netroot=livenet:http://9.3.191.134/cblr/links/fedora17-alpha-ppc64/LiveOS/squashfs.img
/usr/sbin/livenetroot@12(): liveurl=http://9.3.191.134/cblr/links/fedora17-alpha-ppc64/LiveOS/squashfs.img
/usr/sbin/livenetroot@13(): info 'fetching http://9.3.191.134/cblr/links/fedora17-alpha-ppc64/LiveOS/squashfs.img'
/lib/dracut-lib.sh@309(info): check_quiet
/lib/dracut-lib.sh@294(check_quiet): '[' -z '' ']'
/lib/dracut-lib.sh@295(check_quiet): DRACUT_QUIET=yes
/lib/dracut-lib.sh@296(check_quiet): getargbool 0 rd.info -y rdinfo
/lib/dracut-lib.sh@118(getargbool): local _b
/lib/dracut-lib.sh@119(getargbool): unset _b
/lib/dracut-lib.sh@120(getargbool): local _default
/lib/dracut-lib.sh@121(getargbool): _default=0
/lib/dracut-lib.sh@121(getargbool): shift
//lib/dracut-lib.sh@122(getargbool): getarg rd.info -y rdinfo
//lib/dracut-lib.sh@91(getarg): set +x
//lib/dracut-lib.sh@108(getarg): return 0
/lib/dracut-lib.sh@122(getargbool): _b=
/lib/dracut-lib.sh@123(getargbool): '[' 0 -ne 0 -a -z '' ']'
/lib/dracut-lib.sh@124(getargbool): '[' -n '' ']'
/lib/dracut-lib.sh@129(getargbool): return 0
/lib/dracut-lib.sh@296(check_quiet): DRACUT_QUIET=no
/lib/dracut-lib.sh@297(check_quiet): getargbool 0 rd.debug -y rdinitdebug
/lib/dracut-lib.sh@118(getargbool): local _b
/lib/dracut-lib.sh@119(getargbool): unset _b
/lib/dracut-lib.sh@120(getargbool): local _default
/lib/dracut-lib.sh@121(getargbool): _default=0
/lib/dracut-lib.sh@121(getargbool): shift
//lib/dracut-lib.sh@122(getargbool): getarg rd.debug -y rdinitdebug
//lib/dracut-lib.sh@91(getarg): set +x
//lib/dracut-lib.sh@108(getarg): return 0
/lib/dracut-lib.sh@122(getargbool): _b=
/lib/dracut-lib.sh@123(getargbool): '[' 0 -ne 0 -a -z '' ']'
/lib/dracut-lib.sh@124(getargbool): '[' -n '' ']'
/lib/dracut-lib.sh@129(getargbool): return 0
/lib/dracut-lib.sh@297(check_quiet): DRACUT_QUIET=no
/lib/dracut-lib.sh@298(check_quiet): getarg quiet
/lib/dracut-lib.sh@91(getarg): set +x
/lib/dracut-lib.sh@114(getarg): return 1
/lib/dracut-lib.sh@298(check_quiet): DRACUT_QUIET=yes
/lib/dracut-lib.sh@310(info): echo '<30>dracut: fetching http://9.3.191.134/cblr/links/fedora17-alpha-ppc64/LiveOS/squashfs.img'
[  187.372003] dracut: fetching http://9.3.191.134/cblr/links/fedora17-alpha-ppc64/LiveOS/squashfs.img
/lib/dracut-lib.sh@311(info): '[' yes '!=' yes ']'
//usr/sbin/livenetroot@14(): fetch_url http://9.3.191.134/cblr/links/fedora17-alpha-ppc64/LiveOS/squashfs.img
//lib/url-lib.sh@22(fetch_url): local url=http://9.3.191.134/cblr/links/fedora17-alpha-ppc64/LiveOS/squashfs.img outloc=
///lib/url-lib.sh@23(fetch_url): get_url_handler http://9.3.191.134/cblr/links/fedora17-alpha-ppc64/LiveOS/squashfs.img
///lib/url-lib.sh@32(get_url_handler): local scheme=http item=
///lib/url-lib.sh@33(get_url_handler): for item in '$url_handler_map'
///lib/url-lib.sh@34(get_url_handler): '[' http = nfs ']'
///lib/url-lib.sh@33(get_url_handler): for item in '$url_handler_map'
///lib/url-lib.sh@34(get_url_handler): '[' http = nfs4 ']'
///lib/url-lib.sh@33(get_url_handler): for item in '$url_handler_map'
///lib/url-lib.sh@34(get_url_handler): '[' http = http ']'
///lib/url-lib.sh@34(get_url_handler): echo curl_fetch_url
///lib/url-lib.sh@34(get_url_handler): return 0
//lib/url-lib.sh@23(fetch_url): local handler=curl_fetch_url
//lib/url-lib.sh@24(fetch_url): '[' -n curl_fetch_url ']'
//lib/url-lib.sh@25(fetch_url): '[' -n http://9.3.191.134/cblr/links/fedora17-alpha-ppc64/LiveOS/squashfs.img ']'
//lib/url-lib.sh@26(fetch_url): curl_fetch_url http://9.3.191.134/cblr/links/fedora17-alpha-ppc64/LiveOS/squashfs.img ''
//lib/url-lib.sh@58(curl_fetch_url): local url=http://9.3.191.134/cblr/links/fedora17-alpha-ppc64/LiveOS/squashfs.img outloc=
//lib/url-lib.sh@59(curl_fetch_url): echo http://9.3.191.134/cblr/links/fedora17-alpha-ppc64/LiveOS/squashfs.img
http://9.3.191.134/cblr/links/fedora17-alpha-ppc64/LiveOS/squashfs.img
//lib/url-lib.sh@60(curl_fetch_url): '[' -n '' ']'
///lib/url-lib.sh@63(curl_fetch_url): mkuniqdir /tmp curl_fetch_url
///lib/dracut-lib.sh@517(mkuniqdir): local dir=/tmp
///lib/dracut-lib.sh@517(mkuniqdir): local prefix=curl_fetch_url
///lib/dracut-lib.sh@518(mkuniqdir): local retdir
///lib/dracut-lib.sh@518(mkuniqdir): local retdir_new
///lib/dracut-lib.sh@520(mkuniqdir): '[' -d /tmp ']'
////lib/dracut-lib.sh@522(mkuniqdir): funiq /tmp curl_fetch_url
////lib/dracut-lib.sh@500(funiq): local dir=/tmp
////lib/dracut-lib.sh@500(funiq): local prefix=curl_fetch_url
////lib/dracut-lib.sh@501(funiq): local i=0
////lib/dracut-lib.sh@503(funiq): '[' -d /tmp ']'
////lib/dracut-lib.sh@505(funiq): '[' -e /tmp/curl_fetch_url0 ']'
////lib/dracut-lib.sh@509(funiq): echo /tmp/curl_fetch_url0
///lib/dracut-lib.sh@522(mkuniqdir): retdir=/tmp/curl_fetch_url0
///lib/dracut-lib.sh@523(mkuniqdir): mkdir -m 0755 /tmp/curl_fetch_url0
///lib/dracut-lib.sh@529(mkuniqdir): echo /tmp/curl_fetch_url0
//lib/url-lib.sh@63(curl_fetch_url): local outdir=/tmp/curl_fetch_url0
//lib/url-lib.sh@64(curl_fetch_url): cd /tmp/curl_fetch_url0
//lib/url-lib.sh@64(curl_fetch_url): curl --location --retry 3 --fail --show-error --progress-bar --remote-name
+http://9.3.191.134/cblr/links/fedora17-alpha-ppc64/LiveOS/squashfs.img

[ nacc: download succeeds ]

///lib/url-lib.sh@65(curl_fetch_url): ls -A /tmp/curl_fetch_url0
//lib/url-lib.sh@65(curl_fetch_url): outloc=/tmp/curl_fetch_url0/squashfs.img
//lib/url-lib.sh@67(curl_fetch_url): '[' -f /tmp/curl_fetch_url0/squashfs.img ']'
//lib/url-lib.sh@68(curl_fetch_url): '[' -z '' ']'
//lib/url-lib.sh@68(curl_fetch_url): echo /tmp/curl_fetch_url0/squashfs.img
/usr/sbin/livenetroot@14(): imgfile=/tmp/curl_fetch_url0/squashfs.img
/usr/sbin/livenetroot@15(): '[' 0 = 0 ']'
/usr/sbin/livenetroot@18(): '[' img = iso ']'
/usr/sbin/livenetroot@22(): root=/tmp/curl_fetch_url0/squashfs.img
/usr/sbin/livenetroot@25(): exec /sbin/dmsquash-live-root /tmp/curl_fetch_url0/squashfs.img
//lib/dracut-lib.sh@256(): hookdir=/lib/dracut/hooks
//lib/dracut-lib.sh@257(): export hookdir
/sbin/dmsquash-live-root@6(): type det_fs
/sbin/dmsquash-live-root@6(): . /lib/fs-lib.sh
//lib/fs-lib.sh@5(): type getarg
/sbin/dmsquash-live-root@8(): PATH=/usr/sbin:/usr/bin:/sbin:/bin
/sbin/dmsquash-live-root@10(): getargbool 0 rd.live.debug -y rdlivedebug
/lib/dracut-lib.sh@118(getargbool): local _b
/lib/dracut-lib.sh@119(getargbool): unset _b
/lib/dracut-lib.sh@120(getargbool): local _default
/lib/dracut-lib.sh@121(getargbool): _default=0
/lib/dracut-lib.sh@121(getargbool): shift
//lib/dracut-lib.sh@122(getargbool): getarg rd.live.debug -y rdlivedebug
//lib/dracut-lib.sh@91(getarg): set +x
//lib/dracut-lib.sh@114(getarg): return 1
/lib/dracut-lib.sh@122(getargbool): _b=
/lib/dracut-lib.sh@123(getargbool): '[' 1 -ne 0 -a -z '' ']'
/lib/dracut-lib.sh@123(getargbool): _b=0
/lib/dracut-lib.sh@124(getargbool): '[' -n 0 ']'
/lib/dracut-lib.sh@125(getargbool): '[' 0 = 0 ']'
/lib/dracut-lib.sh@125(getargbool): return 1
/sbin/dmsquash-live-root@16(): '[' -z /tmp/curl_fetch_url0/squashfs.img ']'
/sbin/dmsquash-live-root@17(): livedev=/tmp/curl_fetch_url0/squashfs.img
//sbin/dmsquash-live-root@21(): getarg rd.live.dir live_dir
//lib/dracut-lib.sh@91(getarg): set +x
//lib/dracut-lib.sh@114(getarg): return 1
/sbin/dmsquash-live-root@21(): live_dir=
/sbin/dmsquash-live-root@22(): '[' -z '' ']'
/sbin/dmsquash-live-root@22(): live_dir=LiveOS
/sbin/dmsquash-live-root@23(): getargbool 0 rd.live.ram -y live_ram
/lib/dracut-lib.sh@118(getargbool): local _b
/lib/dracut-lib.sh@119(getargbool): unset _b
/lib/dracut-lib.sh@120(getargbool): local _default
/lib/dracut-lib.sh@121(getargbool): _default=0
/lib/dracut-lib.sh@121(getargbool): shift
//lib/dracut-lib.sh@122(getargbool): getarg rd.live.ram -y live_ram
//lib/dracut-lib.sh@91(getarg): set +x
//lib/dracut-lib.sh@114(getarg): return 1
/lib/dracut-lib.sh@122(getargbool): _b=
/lib/dracut-lib.sh@123(getargbool): '[' 1 -ne 0 -a -z '' ']'
/lib/dracut-lib.sh@123(getargbool): _b=0
/lib/dracut-lib.sh@124(getargbool): '[' -n 0 ']'
/lib/dracut-lib.sh@125(getargbool): '[' 0 = 0 ']'
/lib/dracut-lib.sh@125(getargbool): return 1
/sbin/dmsquash-live-root@24(): getargbool 0 rd.live.overlay.reset -y reset_overlay
/lib/dracut-lib.sh@118(getargbool): local _b
/lib/dracut-lib.sh@119(getargbool): unset _b
/lib/dracut-lib.sh@120(getargbool): local _default
/lib/dracut-lib.sh@121(getargbool): _default=0
/lib/dracut-lib.sh@121(getargbool): shift
//lib/dracut-lib.sh@122(getargbool): getarg rd.live.overlay.reset -y reset_overlay
//lib/dracut-lib.sh@91(getarg): set +x
//lib/dracut-lib.sh@114(getarg): return 1
/lib/dracut-lib.sh@122(getargbool): _b=
/lib/dracut-lib.sh@123(getargbool): '[' 1 -ne 0 -a -z '' ']'
/lib/dracut-lib.sh@123(getargbool): _b=0
/lib/dracut-lib.sh@124(getargbool): '[' -n 0 ']'
/lib/dracut-lib.sh@125(getargbool): '[' 0 = 0 ']'
/lib/dracut-lib.sh@125(getargbool): return 1
/sbin/dmsquash-live-root@25(): getargbool 0 rd.live.overlay.readonly -y readonly_overlay
/lib/dracut-lib.sh@118(getargbool): local _b
/lib/dracut-lib.sh@119(getargbool): unset _b
/lib/dracut-lib.sh@120(getargbool): local _default
/lib/dracut-lib.sh@121(getargbool): _default=0
/lib/dracut-lib.sh@121(getargbool): shift
//lib/dracut-lib.sh@122(getargbool): getarg rd.live.overlay.readonly -y readonly_overlay
//lib/dracut-lib.sh@91(getarg): set +x
//lib/dracut-lib.sh@114(getarg): return 1
/lib/dracut-lib.sh@122(getargbool): _b=
/lib/dracut-lib.sh@123(getargbool): '[' 1 -ne 0 -a -z '' ']'
/lib/dracut-lib.sh@123(getargbool): _b=0
/lib/dracut-lib.sh@124(getargbool): '[' -n 0 ']'
/lib/dracut-lib.sh@125(getargbool): '[' 0 = 0 ']'
/lib/dracut-lib.sh@125(getargbool): return 1
/sbin/dmsquash-live-root@25(): readonly_overlay=
//sbin/dmsquash-live-root@26(): getarg rd.live.overlay overlay
//lib/dracut-lib.sh@91(getarg): set +x
//lib/dracut-lib.sh@114(getarg): return 1
/sbin/dmsquash-live-root@26(): overlay=
/sbin/dmsquash-live-root@29(): '[' -b /tmp/curl_fetch_url0/squashfs.img ']'
/sbin/dmsquash-live-root@30(): '[' '' = iso9660 -o '' = udf ']'
/sbin/dmsquash-live-root@33(): getarg rd.live.check check
/lib/dracut-lib.sh@91(getarg): set +x
/lib/dracut-lib.sh@114(getarg): return 1
/sbin/dmsquash-live-root@33(): check=
/sbin/dmsquash-live-root@34(): '[' -n '' ']'
/sbin/dmsquash-live-root@49(): for arg in '$CMDLINE'
/sbin/dmsquash-live-root@49(): case $arg in
/sbin/dmsquash-live-root@49(): for arg in '$CMDLINE'
/sbin/dmsquash-live-root@49(): case $arg in
/sbin/dmsquash-live-root@49(): for arg in '$CMDLINE'
/sbin/dmsquash-live-root@49(): case $arg in
/sbin/dmsquash-live-root@49(): for arg in '$CMDLINE'
/sbin/dmsquash-live-root@49(): case $arg in
/sbin/dmsquash-live-root@49(): for arg in '$CMDLINE'
/sbin/dmsquash-live-root@49(): case $arg in
/sbin/dmsquash-live-root@49(): for arg in '$CMDLINE'
/sbin/dmsquash-live-root@49(): case $arg in
/sbin/dmsquash-live-root@49(): for arg in '$CMDLINE'
/sbin/dmsquash-live-root@49(): case $arg in
/sbin/dmsquash-live-root@49(): for arg in '$CMDLINE'
/sbin/dmsquash-live-root@49(): case $arg in
/sbin/dmsquash-live-root@49(): for arg in '$CMDLINE'
/sbin/dmsquash-live-root@49(): case $arg in
/sbin/dmsquash-live-root@49(): for arg in '$CMDLINE'
/sbin/dmsquash-live-root@49(): case $arg in
/sbin/dmsquash-live-root@49(): for arg in '$CMDLINE'
/sbin/dmsquash-live-root@49(): case $arg in
/sbin/dmsquash-live-root@49(): for arg in '$CMDLINE'
/sbin/dmsquash-live-root@49(): case $arg in
/sbin/dmsquash-live-root@49(): for arg in '$CMDLINE'
/sbin/dmsquash-live-root@49(): case $arg in
/sbin/dmsquash-live-root@49(): for arg in '$CMDLINE'
/sbin/dmsquash-live-root@49(): case $arg in
/sbin/dmsquash-live-root@49(): for arg in '$CMDLINE'
/sbin/dmsquash-live-root@49(): case $arg in
/sbin/dmsquash-live-root@49(): for arg in '$CMDLINE'
/sbin/dmsquash-live-root@49(): case $arg in
/sbin/dmsquash-live-root@51(): mkdir -m 0755 -p /run/initramfs/live
/sbin/dmsquash-live-root@52(): '[' -f /tmp/curl_fetch_url0/squashfs.img ']'
//sbin/dmsquash-live-root@55(): det_img_fs /tmp/curl_fetch_url0/squashfs.img
//sbin/dmsquash-live-root@46(det_img_fs): blkid -s TYPE -u noraid -o value /tmp/curl_fetch_url0/squashfs.img
/sbin/dmsquash-live-root@55(): fstype=squashfs
/sbin/dmsquash-live-root@56(): case $fstype in
/sbin/dmsquash-live-root@57(): SQUASHED=/tmp/curl_fetch_url0/squashfs.img
/sbin/dmsquash-live-root@61(): '[' -e /sys/fs/squashfs ']'
/sbin/dmsquash-live-root@61(): modprobe squashfs
/sbin/dmsquash-live-root@127(): '[' -e /run/initramfs/live/LiveOS/osmin.img ']'
/sbin/dmsquash-live-root@131(): '[' -n '' ']'
/sbin/dmsquash-live-root@144(): '[' -e /run/initramfs/live/LiveOS/ext3fs.img ']'
/sbin/dmsquash-live-root@146(): '[' -e /run/initramfs/live/LiveOS/rootfs.img ']'
/sbin/dmsquash-live-root@150(): '[' -n '' ']'
/sbin/dmsquash-live-root@158(): '[' -e /run/initramfs/live/LiveOS/squashfs.img ']'
/sbin/dmsquash-live-root@162(): '[' -e /tmp/curl_fetch_url0/squashfs.img ']'
/sbin/dmsquash-live-root@163(): '[' -n '' ']'
//sbin/dmsquash-live-root@173(): losetup -f
/sbin/dmsquash-live-root@173(): SQUASHED_LOOPDEV=/dev/loop0
/sbin/dmsquash-live-root@174(): losetup -r /dev/loop0 /tmp/curl_fetch_url0/squashfs.img
/sbin/dmsquash-live-root@175(): mkdir -m 0755 -p /run/initramfs/squashfs
udevd[241]: RUN+="socket:..." support will be removed from a future udev release. Please remove it from: /usr/lib/udev/rules.d/40-multipath.rules:16 and use libudev to subscribe to events.
^M
/sbin/dmsquash-live-root@176(): mount -n -t squashfs -o ro /dev/loop0 /run/initramfs/squashfs
//sbin/dmsquash-live-root@178(): losetup -f
/sbin/dmsquash-live-root@178(): BASE_LOOPDEV=/dev/loop1
/sbin/dmsquash-live-root@179(): '[' -f /run/initramfs/squashfs/LiveOS/ext3fs.img ']'
/sbin/dmsquash-live-root@181(): '[' -f /run/initramfs/squashfs/LiveOS/rootfs.img ']'
/sbin/dmsquash-live-root@182(): losetup -r /dev/loop1 /run/initramfs/squashfs/LiveOS/rootfs.img
/sbin/dmsquash-live-root@185(): umount -l /run/initramfs/squashfs
/sbin/dmsquash-live-root@187(): do_live_from_base_loop
/sbin/dmsquash-live-root@123(do_live_from_base_loop): do_live_overlay
//sbin/dmsquash-live-root@75(do_live_overlay): losetup -f
/sbin/dmsquash-live-root@75(do_live_overlay): OVERLAY_LOOPDEV=/dev/loop2
//sbin/dmsquash-live-root@77(do_live_overlay): blkid -s LABEL -o value /tmp/curl_fetch_url0/squashfs.img
/sbin/dmsquash-live-root@77(do_live_overlay): l=
//sbin/dmsquash-live-root@78(do_live_overlay): blkid -s UUID -o value /tmp/curl_fetch_url0/squashfs.img
/sbin/dmsquash-live-root@78(do_live_overlay): u=
/sbin/dmsquash-live-root@80(do_live_overlay): '[' -z '' ']'
/sbin/dmsquash-live-root@81(do_live_overlay): pathspec=/LiveOS/overlay--
/sbin/dmsquash-live-root@87(do_live_overlay): '[' -z /LiveOS/overlay-- -o /LiveOS/overlay-- = auto ']'
//sbin/dmsquash-live-root@90(do_live_overlay): echo
//sbin/dmsquash-live-root@90(do_live_overlay): sed -e 's/:.*$//'
/sbin/dmsquash-live-root@90(do_live_overlay): devspec=
/sbin/dmsquash-live-root@93(do_live_overlay): setup=
/sbin/dmsquash-live-root@94(do_live_overlay): '[' -n '' -a -n /LiveOS/overlay-- -a -n '' ']'
/sbin/dmsquash-live-root@107(do_live_overlay): '[' -z '' ']'
/sbin/dmsquash-live-root@108(do_live_overlay): '[' -n '' -a -n /LiveOS/overlay-- ']'
/sbin/dmsquash-live-root@113(do_live_overlay): dd if=/dev/null of=/overlay bs=1024 count=1 seek=524288
/sbin/dmsquash-live-root@114(do_live_overlay): losetup /dev/loop2 /overlay
/sbin/dmsquash-live-root@118(do_live_overlay): dmsetup create live-rw
//sbin/dmsquash-live-root@118(do_live_overlay): blockdev --getsz /dev/loop1
/sbin/dmsquash-live-root@118(do_live_overlay): echo 0 4194304 snapshot /dev/loop1 /dev/loop2 p 8
/sbin/dmsquash-live-root@190(): '[' -b '' ']'
//sbin/dmsquash-live-root@196(): getarg rootflags
//lib/dracut-lib.sh@91(getarg): set +x
//lib/dracut-lib.sh@114(getarg): return 1
/sbin/dmsquash-live-root@196(): ROOTFLAGS=
/sbin/dmsquash-live-root@197(): '[' -n '' ']'
/sbin/dmsquash-live-root@201(): '[' -b /dev/loop1 ']'
/sbin/dmsquash-live-root@202(): ln -s /dev/loop1 /run/initramfs/live-baseloop
/sbin/dmsquash-live-root@204(): ln -s /dev/mapper/live-rw /dev/root
/sbin/dmsquash-live-root@205(): printf '/bin/mount %s /dev/mapper/live-rw %s\n' '' /sysroot
/sbin/dmsquash-live-root@207(): need_shutdown
/sbin/dmsquash-live-root@209(): exit 0
/usr/sbin/netroot@94(): '[' '!' -f /tmp/net.ifaces ']'
/usr/sbin/netroot@100(): exit 0
/init@158(): check_finished
/lib/dracut-lib.sh@264(check_finished): local f
/lib/dracut-lib.sh@265(check_finished): for f in '$hookdir/initqueue/finished/*.sh'
/lib/dracut-lib.sh@266(check_finished): '[' '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh' = '/lib/dracut/hooks/initqueue/finished/*.sh' ']'
/lib/dracut-lib.sh@267(check_finished): '[' -e '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh' ']'
/lib/dracut-lib.sh@267(check_finished): . '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh'
//lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh@1(source): '[' -e /dev/root ']'
/lib/dracut-lib.sh@265(check_finished): for f in '$hookdir/initqueue/finished/*.sh'
/lib/dracut-lib.sh@266(check_finished): '[' /lib/dracut/hooks/initqueue/finished/kickstart.sh = '/lib/dracut/hooks/initqueue/finished/*.sh' ']'
/lib/dracut-lib.sh@267(check_finished): '[' -e /lib/dracut/hooks/initqueue/finished/kickstart.sh ']'
/lib/dracut-lib.sh@267(check_finished): . /lib/dracut/hooks/initqueue/finished/kickstart.sh
//lib/dracut/hooks/initqueue/finished/kickstart.sh@1(source): '[' -e /tmp/ks.cfg.done ']'
/lib/dracut-lib.sh@267(check_finished): return 1
/init@161(): udevadm settle --timeout=0
/init@163(): for job in '$hookdir/initqueue/settled/*.sh'
/init@164(): '[' -e '/lib/dracut/hooks/initqueue/settled/*.sh' ']'
/init@164(): break
/init@169(): udevadm settle --timeout=0
/init@172(): sleep 0.5
/init@175(): '[' 1 -gt 20 ']'
/init@183(): main_loop=2
/init@184(): '[' 2 -gt 40 ']'
/init@143(): :
/init@145(): check_finished
/lib/dracut-lib.sh@264(check_finished): local f
/lib/dracut-lib.sh@265(check_finished): for f in '$hookdir/initqueue/finished/*.sh'
/lib/dracut-lib.sh@266(check_finished): '[' '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh' = '/lib/dracut/hooks/initqueue/finished/*.sh' ']'
/lib/dracut-lib.sh@267(check_finished): '[' -e '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh' ']'
/lib/dracut-lib.sh@267(check_finished): . '/lib/dracut/hooks/initqueue/finished/devexists-\\x2fdev\\x2froot.sh'

...

[ nacc: eventually we fall back to the shell due to the error]

So it would seem that during initqueue processing that networking is not configured.

Now, what is very interesting is that if no root= is passed to the kernel, the kickstart successfully downloads (but the install in this case fails differently, for which I'll file a separate bug).
Comment 1 Nish Aravamudan 2012-04-26 16:49:30 EDT
If possible, can this bug please be reverse mirrored to the IBM LTC BZ.

Thanks,
Nish
Comment 2 Harald Hoyer 2012-04-27 04:59:19 EDT
looks like bug 811851 to me
Comment 3 IBM Bug Proxy 2012-04-27 14:30:23 EDT
Hi Nish,
Incomplete bug?

Regards,
Seenu.
Comment 4 IBM Bug Proxy 2012-04-27 15:10:24 EDT
Hi Harald,

(In reply to comment #8)
> Description of problem:
>
> I am using Cobbler to test FC17-alpha on ppc64. The install consistently
> fails with a kickstart file based upon a working FC16 version with:

<snip>

> looks like bug 811851 to me

Yes, it does look similar. Should I just re-test once FC17-beta is available for ppc64?

Thanks,
Nish
Comment 5 IBM Bug Proxy 2012-05-02 17:00:34 EDT
(In reply to comment #9)
> Hi Harald,
>
> (In reply to comment #8)
> > Description of problem:
> >
> > I am using Cobbler to test FC17-alpha on ppc64. The install consistently
> > fails with a kickstart file based upon a working FC16 version with:
>
> <snip>
>
> > looks like bug 811851 to me
>
> Yes, it does look similar. Should I just re-test once FC17-beta is available
> for ppc64?
>
> Thanks,
> Nish

Testing on ppc64 prebeta3 succeeded, so it can be marked as closed. FWIW, had to adjust ks per RH BZ 817116.

Thanks,
Nish

Note You need to log in before you can comment on or make changes to this bug.